%global qtdir %{_libdir}/qt3
%global momorel 4

Summary: gnuplot frontend
Name:    qgfe
Version: 1.0
Release: %{momorel}m%{?dist}
Group:   Applications/Engineering
License: GPLv2
URL:     http://www.xm1math.net/qgfe/
Source0: http://www.xm1math.net/qgfe/qgfe-1.0.tar.bz2
NoSource: 0
Requires: qt3 >= 3.3.7, gnuplot
BuildRequires: qt3-devel >= 3.3.7, desktop-file-utils
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Qgfe is a graphical interface to the powerful gnuplot program for Unix systems. A good knowledge of Gnuplot is required to use Qgfe.

%prep
%setup -q -n %{name}-%{version}

%build
export QTDIR=%{qtdir}
qmake -unix QTDIR=$QTDIR PREFIX=%{_prefix} %{name}.pro
%make

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install

## desktop
%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > qgfe.desktop <<EOF
[Desktop Entry]
Name=Qgfe
GenericName=Qgfe Gnuplot Frontend
Comment=Gnuplot Frontend
Exec=qgfe
Terminal=false
Type=Application
Icon=/usr/share/qgfe/qgfe16x16.png
EOF
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  --add-category Science \
  --add-category Math \
    ./qgfe.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc utilities/AUTHORS utilities/COPYING
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop

%changelog
* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-4m)
- rebuild against qt3

* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0-3m)
- revised qgfe.desktop

* Sat Apr 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-2m)
- build fix under KDE4 environment
- enable parallel build

* Sat Apr 19 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0-1m)
- build for Momonga
